
Infrastructure - Bug #1261

Knb application deleted upon Upgrade

2011-01-26 19:10 - Robert Waltz

Status: Closed Start date: 2011-01-26

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: Sprint-2011.04   

Milestone: CCI-0.5 Story Points:  

Product Version: *   

Description

I performed an apt-get upgrade for the following packages:

root@cn-ucsb-1:~/bin# apt-get upgrade

Reading package lists... Done

Building dependency tree

Reading state information... Done

The following packages will be upgraded:

bsdutils dataone-cn-mercury dataone-cn-mnsynchronization

dataone-cn-rest-service libblkid1 libdbus-1-3 libservlet2.5-java

libtomcat6-java libuuid1 mount sudo tomcat6 tomcat6-admin tomcat6-common

util-linux

The /var/lib/tomcat6/webapps/knb  and knb.war were deleted afterwards though the package reports as still being installed.

Maybe need to check on explicit dependency between tomcat6 and dataone-cn-metacat and other dataone packages?

History

#1 - 2011-01-30 05:16 - Robert Waltz

- Status changed from New to Closed

- Target version set to Sprint-2011.09-Block.2

- % Done changed from 0 to 100

There was a bug in the dataone-cn-mercury prerm script-- oops

#2 - 2011-02-01 17:15 - Dave Vieglais

- Target version changed from Sprint-2011.09-Block.2 to Sprint-2011.04

- Position set to 1

- Position changed from 1 to 127
